[arch-commits] Commit in mutter/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at gemini.archlinux.org
Fri Jan 7 18:53:51 UTC 2022


    Date: Friday, January 7, 2022 @ 18:53:51
  Author: heftig
Revision: 433818

archrelease: copy trunk to extra-x86_64

Added:
  mutter/repos/extra-x86_64/PKGBUILD
    (from rev 433816, mutter/trunk/PKGBUILD)
Deleted:
  mutter/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  135 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 67 insertions(+), 68 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-01-07 18:53:50 UTC (rev 433817)
+++ PKGBUILD	2022-01-07 18:53:51 UTC (rev 433818)
@@ -1,68 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-# Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
-
-pkgname=mutter
-pkgver=41.2
-pkgrel=1
-pkgdesc="A window manager for GNOME"
-url="https://gitlab.gnome.org/GNOME/mutter"
-arch=(x86_64)
-license=(GPL)
-depends=(dconf gobject-introspection-runtime gsettings-desktop-schemas
-         libcanberra startup-notification zenity libsm gnome-desktop upower
-         libxkbcommon-x11 gnome-settings-daemon libgudev libinput pipewire
-         xorg-xwayland graphene libxkbfile)
-makedepends=(gobject-introspection git egl-wayland meson xorg-server
-             wayland-protocols)
-checkdepends=(xorg-server-xvfb pipewire-media-session python-dbusmock)
-provides=(libmutter-9.so)
-groups=(gnome)
-_commit=664ac09eecfd365b5258f53d2c9e6c8410a37919  # tags/41.2^0
-source=("git+https://gitlab.gnome.org/GNOME/mutter.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/[^-]*-g/r&/;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  CFLAGS="${CFLAGS/-O2/-O3} -fno-semantic-interposition"
-  LDFLAGS+=" -Wl,-Bsymbolic-functions"
-  arch-meson $pkgname build \
-    -D egl_device=true \
-    -D wayland_eglstream=true \
-    -D installed_tests=false \
-    -D profiler=false
-  meson compile -C build
-}
-
-_check() (
-  mkdir -p -m 700 "${XDG_RUNTIME_DIR:=$PWD/runtime-dir}"
-  glib-compile-schemas "${GSETTINGS_SCHEMA_DIR:=$PWD/build/data}"
-  export XDG_RUNTIME_DIR GSETTINGS_SCHEMA_DIR
-
-  pipewire &
-  _p1=$!
-
-  pipewire-media-session &
-  _p2=$!
-
-  trap "kill $_p1 $_p2; wait" EXIT
-
-  meson test -C build --print-errorlogs
-)
-
-check() {
-  dbus-run-session xvfb-run -s '-nolisten local' \
-    bash -c "$(declare -f _check); _check"
-}
-
-package() {
-  meson install -C build --destdir "$pkgdir"
-}

Copied: mutter/repos/extra-x86_64/PKGBUILD (from rev 433816, mutter/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-01-07 18:53:51 UTC (rev 433818)
@@ -0,0 +1,67 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
+
+pkgname=mutter
+pkgver=41.2
+pkgrel=2
+pkgdesc="A window manager for GNOME"
+url="https://gitlab.gnome.org/GNOME/mutter"
+arch=(x86_64)
+license=(GPL)
+depends=(dconf gobject-introspection-runtime gsettings-desktop-schemas
+         libcanberra startup-notification zenity libsm gnome-desktop upower
+         libxkbcommon-x11 gnome-settings-daemon libgudev libinput pipewire
+         xorg-xwayland graphene libxkbfile libsysprof-capture)
+makedepends=(gobject-introspection git egl-wayland meson xorg-server
+             wayland-protocols sysprof)
+checkdepends=(xorg-server-xvfb pipewire-media-session python-dbusmock)
+provides=(libmutter-9.so)
+groups=(gnome)
+_commit=664ac09eecfd365b5258f53d2c9e6c8410a37919  # tags/41.2^0
+source=("git+https://gitlab.gnome.org/GNOME/mutter.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/[^-]*-g/r&/;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  CFLAGS="${CFLAGS/-O2/-O3} -fno-semantic-interposition"
+  LDFLAGS+=" -Wl,-Bsymbolic-functions"
+  arch-meson $pkgname build \
+    -D egl_device=true \
+    -D wayland_eglstream=true \
+    -D installed_tests=false
+  meson compile -C build
+}
+
+_check() (
+  mkdir -p -m 700 "${XDG_RUNTIME_DIR:=$PWD/runtime-dir}"
+  glib-compile-schemas "${GSETTINGS_SCHEMA_DIR:=$PWD/build/data}"
+  export XDG_RUNTIME_DIR GSETTINGS_SCHEMA_DIR
+
+  pipewire &
+  _p1=$!
+
+  pipewire-media-session &
+  _p2=$!
+
+  trap "kill $_p1 $_p2; wait" EXIT
+
+  meson test -C build --print-errorlogs
+)
+
+check() {
+  dbus-run-session xvfb-run -s '-nolisten local +iglx -noreset' \
+    bash -c "$(declare -f _check); _check"
+}
+
+package() {
+  meson install -C build --destdir "$pkgdir"
+}



More information about the arch-commits mailing list